Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Juanma Barranquero <[email-masked]>
Date: Fri, 20 Nov 2015 01:26:47 +0100

On Thu, Nov 19, 2015 at 9:51 PM, Eli Zaretskii <[email-masked]> wrote:

> I routinely examine these warnings, usually when I add some
> significant new code, and each time I find the warnings to be false
> alarms.  The problem with fixing them is that either you need to
> sprinkle ugly casts everywhere, or you start changing declarations,
> and that spreads warnings like cancer through all the related code,
> and you end up changing too much, or hit a brick wall and use casts
> again.  So I normally fix low-hanging fruit, and leave the rest for a
> rainy day.

I do the same. There are quite a few that I've looked at, and decided they
were false alarms, or the fix was ugly.